Loading...
Searching...
No Matches
gx_engine::ModuleSelector Class Referenceabstract

`#include <gx_modulesequencer.h>`

Inheritance diagram for gx_engine::ModuleSelector:

## Public Member Functions

| ModuleSelector (EngineControl &seq_)
virtual | ~ModuleSelector ()
virtual void | set_module ()=0

## Protected Attributes

EngineControl & | seq

## Detailed Description

Definition at line 29 of file gx_modulesequencer.h.

## Constructor & Destructor Documentation

## ModuleSelector()

gx_engine::ModuleSelector::ModuleSelector | ( | EngineControl & | seq_ | ) |

inline

Definition at line 33 of file gx_modulesequencer.h.

## ~ModuleSelector()

virtual gx_engine::ModuleSelector::~ModuleSelector | ( |  | ) |

inline virtual

Definition at line 35 of file gx_modulesequencer.h.

## Member Function Documentation

## set_module()

virtual void gx_engine::ModuleSelector::set_module | ( |  | ) |

pure virtual

Implemented in gx_engine::ModuleSelectorFromList, and gx_engine::TunerAdapter.

## Member Data Documentation

## seq

EngineControl& gx_engine::ModuleSelector::seq

protected

Definition at line 31 of file gx_modulesequencer.h.

Referenced by ModuleSelector(), and gx_engine::ModuleSelectorFromList::ModuleSelectorFromList().

The documentation for this class was generated from the following file:

- src/headers/gx_modulesequencer.h